EntityEvents.hurt((event) => {
    let { entity, source: { immediate } } = event

    if (!immediate || !immediate.isPlayer()) return;

    immediate.persistentData.lastAttack = Math.floor(Date.now())
    immediate.persistentData.lastAttacked = entity.getStringUuid()

});